-----------------------------------
-- Area: Eastern Altepa Desert
-- NPC: Lokpix
-- @pos -68 3 215 114
-----------------------------------
package.loaded["scripts/zones/Eastern_Altepa_Desert/TextIDs"] = nil;
-----------------------------------

require("scripts/globals/settings");
require("scripts/globals/keyitems");
require("scripts/globals/quests");
require("scripts/zones/Eastern_Altepa_desert/TextIDs");

-----------------------------------
-- onTrade Action
-----------------------------------

function onTrade(player,npc,trade)
	if (player:getQuestStatus(OUTLANDS,OPEN_SESAME) == QUEST_ACCEPTED) then
        if (trade:getItemCount() == 2) then
            local Tremorstone = trade:hasItemQty(2796,1);
            -- Trade Tremorstone & Meteorite
            if(Tremorstone and trade:hasItemQty(582,1)) then 
                player:startEvent(0x0016);
            -- Trade Tremorstone & Soil Gem
            elseif(Tremorstone and trade:hasItemQty(3319,1)) then 
                player:startEvent(0x0016);
            -- Trade Tremorstone & Soil Geodes
            elseif(Tremorstone and trade:hasItemQty(3300,12)) then 
                player:startEvent(0x0016);
            else
                player:startEvent(0x0017);
            end
        end
	end
end;

-----------------------------------
-- onTrigger Action
-----------------------------------

function onTrigger(player,npc)
	local OpenSesame = player:getQuestStatus(OUTLANDS,OPEN_SESAME);
	if(OpenSesame == QUEST_ACCEPTED) then
		player:startEvent(0x0015);
	elseif(OpenSesame == QUEST_COMPLETED) then
		player:startEvent(0x0018);
	else
		player:startEvent(0x0014);
	end;
end;
  
-----------------------------------
-- onEventFinish Action
-----------------------------------

function onEventFinish(player,csid,option)
--print("CSID:",csid);
--print("OPTION:",option);

	if(csid == 0x0014 and option == 1) then
		player:addQuest(OUTLANDS,OPEN_SESAME);
    elseif(csid == 0x0016) then
		player:tradeComplete();
		player:addKeyItem(2051); -- Give the Loadstone
		player:messageSpecial(KEYITEM_OBTAINED,2051);
        player:addFame(BASTOK,BAS_FAME*10);
		player:addFame(SANDORIA,SAN_FAME*10);
		player:completeQuest(OUTLANDS,OPEN_SESAME);
	end
end;